package nc.ui.gl.diarybooks;

import java.awt.BorderLayout;
import java.awt.Insets;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import javax.swing.JFrame;
import nc.ui.gl.detailbooks.DetailView;
import nc.ui.gl.diarybooks.ButtonKey;
import nc.ui.gl.diarybooks.DiaryBooksModel;
import nc.ui.glpub.IParent;
import nc.ui.glpub.IUiPanel;
import nc.ui.ml.NCLangRes;
import nc.ui.pub.ButtonObject;
import nc.ui.pub.ClientEnvironment;
import nc.ui.pub.ToftPanel;
import nc.vo.bd.b54.GlorgbookVO;

public class ToftPanelView extends ToftPanel implements IUiPanel {

   private DetailView ivjView = null;
   private ButtonObject[] m_Buttons;
   public IParent p_parent;
   public IUiPanel m_next;


   public ToftPanelView() {
      this.initialize();
   }

   public void addListener(Object objListener, Object objUserdata) {
   }

   public String getTitle() {
      return NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000332");
   }

   private DetailView getView() {
      if(this.ivjView == null) {
         try {
            this.ivjView = new DetailView();
            this.ivjView.setName("View");
            this.ivjView.setLocation(0, 1);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjView;
   }

   private void handleException(Throwable exception) {
   }

   private void initButtons() {
      this.m_Buttons = new ButtonObject[8];
      this.m_Buttons[0] = new ButtonObject(ButtonKey.bnQRY);
      this.m_Buttons[0].setTag(ButtonKey.bnQRY);
      this.m_Buttons[0].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000176"));
      this.m_Buttons[0].setCode("查询");
      this.m_Buttons[1] = new ButtonObject(ButtonKey.bnVoucher);
      this.m_Buttons[1].setTag(ButtonKey.bnVoucher);
      this.m_Buttons[1].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000333"));
      this.m_Buttons[1].setCode("凭证");
      this.m_Buttons[2] = new ButtonObject(ButtonKey.bnRefresh);
      this.m_Buttons[2].setTag(ButtonKey.bnRefresh);
      this.m_Buttons[2].setName(NCLangRes.getInstance().getStrByID("20021005", "UPP20021005-000477"));
      this.m_Buttons[2].setCode("刷新");
      this.m_Buttons[3] = new ButtonObject(ButtonKey.bnFirst);
      this.m_Buttons[3].setTag(ButtonKey.bnFirst);
      this.m_Buttons[3].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000563"));
      this.m_Buttons[3].setCode("首页");
      this.m_Buttons[4] = new ButtonObject(ButtonKey.bnPriv);
      this.m_Buttons[4].setTag(ButtonKey.bnPriv);
      this.m_Buttons[4].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000561"));
      this.m_Buttons[4].setCode("上一页");
      this.m_Buttons[5] = new ButtonObject(ButtonKey.bnNext);
      this.m_Buttons[5].setTag(ButtonKey.bnNext);
      this.m_Buttons[5].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000562"));
      this.m_Buttons[5].setCode("下一页");
      this.m_Buttons[6] = new ButtonObject(ButtonKey.bnEnd);
      this.m_Buttons[6].setTag(ButtonKey.bnEnd);
      this.m_Buttons[6].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000564"));
      this.m_Buttons[6].setCode("末页");
      this.m_Buttons[7] = new ButtonObject(ButtonKey.bnPrint);
      this.m_Buttons[7].setTag(ButtonKey.bnPrint);
      this.m_Buttons[7].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000181"));
      this.m_Buttons[7].setCode("打印");
      this.setButtons(this.m_Buttons);
   }

   private void initialize() {
      try {
         this.setName("ToftPanelView");
         this.setLayout(new BorderLayout());
         this.setSize(774, 419);
         this.add(this.getView(), "Center");
      } catch (Throwable var2) {
         this.handleException(var2);
      }

      this.getView().setBillModel(new DiaryBooksModel());
      this.initButtons();
      this.getView().setBillModel(new DiaryBooksModel());
      this.getView().setBillType(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000332"));
      this.getView().refreshButtons();
   }

   public Object invoke(Object objData, Object objUserData) {
      return null;
   }

   public static void main(String[] args) {
      try {
         JFrame exception = new JFrame();
         ToftPanelView aToftPanelView = new ToftPanelView();
         exception.setContentPane(aToftPanelView);
         exception.setSize(aToftPanelView.getSize());
         exception.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
               System.exit(0);
            }
         });
         exception.show();
         Insets insets = exception.getInsets();
         exception.setSize(exception.getWidth() + insets.left + insets.right, exception.getHeight() + insets.top + insets.bottom);
         exception.setVisible(true);
      } catch (Throwable var4) {
         System.err.println("nc.ui.pub.ToftPanel 的 main() 中发生异常");
         var4.printStackTrace(System.out);
      }

   }

   public void nextClosed() {
   }

   public void onButtonClicked(ButtonObject bo) {
      try {
         for(int e = 0; e < this.m_Buttons.length; ++e) {
            if(bo.equals(this.m_Buttons[e])) {
               this.getView().tackleBnsEvent(this.m_Buttons[e].getTag());
               break;
            }
         }
      } catch (Exception var3) {
         this.showErrorMessage(var3.getMessage());
      }

   }

   public void removeListener(Object objListener, Object objUserdata) {
   }

   public void showMe(IParent parent) {
      parent.getUiManager().removeAll();
      parent.getUiManager().add(this, this.getName());
      if(parent instanceof ToftPanel) {
         ToftPanel new_name = (ToftPanel)parent;
         String orgbookname = ((GlorgbookVO)ClientEnvironment.getInstance().getValue("pk_glorgbook")).getGlorgbookname();
         new_name.updateStatusBarAccountMsg(orgbookname);
      }

      this.p_parent = parent;
      this.getView().setIParent(this.p_parent);
   }

   public void updateButtons() {
      super.updateButtons();
   }

   public ButtonObject[] getButtons() {
      return this.m_Buttons;
   }
}
